Subject: Re: [mpls] AD review : working group last call draft-ietf-mpls-tp-psc-itu-01

From: "Ryoo, Jeong-dong" <[email-masked]>
Date: Wed, 5 Feb 2014 15:50:01 +0000

Hi,

As indicated in the previous email, I communicated with Adrian to resolve his comments on Section 9.
The new text proposal for Section 9 is below, and Adrian confirmed that this new text would address his concerns on that section.

=== BEGIN of Section 9 ===

9.  Capabilities and modes

9.1.  Capabilities

   A Capability is an individual behavior whose use is signaled in a

   Capabilities TLV, which is placed in Optional TLVs field inside the

   PSC message shown in Figure 2 of RFC 6378 [RFC6378].  The format of

   the Capabilities TLV is:

   0                   1                   2                   3

   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |  Type = Capabilities          |    Length                     |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |                        Value = Flags                          |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

                   Figure 1: Format of Capabilities TLV

   The value of the Type field is TBD pending IANA allocation.

   The value of the Length field is the length of the Flags field in

   octets.  The length of the Flags field MUST be a multiple of 4 octets

   and MUST be the minimum required to signal all the required

   capabilities.

   Section 4 to Section 8 discuss five capabilities that are signaled

   using the five most significant bits; if a node wishes to signal

   these five capabilities, it MUST send a Flags field of 4 octets.  A

   node would send a Flags field greater than 4 octets only if it had

   more than 32 Capabilities to indicate.  All unused bits MUST be set

   to zero.

   If the bit assigned for an individual capability is set to 1, it

   indicates the sending node's intent to use that capability in the

   protected domain.  If a bit is set to 0, the sending node does not

   intend to use the indicated capability in the protected domain.  Note

   that it is not possible to distinguish between the intent not to use

   a capability and a node's complete non-support (i.e., lack of

   implementation) of a given capability.

   This document defines five specific capabilities that are described

   from Section 4 to Section 8.  Each capability is assigned bit as

   follows:

      0x80000000: priority modification

      0x40000000: non-revertive behavior modification

      0x20000000: support of MS-W command

      0x10000000: support of protection against SD

      0x08000000: support of EXER command

   If all the five capabilities should be used, an LER SHALL set

   0xF8000000 in the Flags field.

9.1.1.  Sending and receiving the Capabilities TLV

    A node MUST include its Capabilities TLV in every PSC message that

it sends. The transmission and acceptance of the PSC message is

described in Section 4.1 of RFC 6378.

   When a node receives a Capabilities TLV it MUST compare it to its

   most recent transmitted Capabilities TLV.  If the two are equal, the

   protected domain is said to be running in the mode indicated by that

   set of capabilities (see Section 9.2).  If the sent and received

   Capabilities TLVs are not equal, this indicates a capabilities

   mismatch. When this happens, the node MUST alert the operator and

   MUST NOT perform any protection switching until the operator resolves

the mismatch in the Capabilities TLV.

9.2.  Modes

   A Mode is a given set of Capabilities.  Modes are shorthand;

   referring to a set of capabilities by their individual values or by

   the name of their mode does not change the protocol behavior.  This

   document defines two modes - PSC and APS.

9.2.1.  PSC Mode

   PSC Mode is defined as the lack of any Capabilities - that is, a

   Capabilities set of 0x0.  It is the behavior specified in RFC 6378.

There are two ways to declare PSC Mode.  A node can send a

   Capabilities TLV with Flags value set to 0x0, or it can send no

   Capabilities TLV at all. In order to allow backward compatibility

 between two nodes - one which can send the Capabilities TLV, and one

 which cannot, a node which has the ability to send and receive

   the PSC Mode Capabilities TLV MUST be able to both send the PSC Mode

   Capabilities TLV and send no Capabilities TLV at all.  An

implementation MUST be configurable between these two choices.

9.2.2.  APS Mode

   APS Mode is defined as the use of all the five specific capabilities,

   which are described from Section 4 to Section 8 in this document.

   APS Mode is indicated with the Flags value of 0xF8000000.

=== END of Section 9 ===
Best regards,

Jeong-dong

________________________________
From : "Adrian Farrel" <[email-masked]>
Sent : 2014-01-26 21:13:59 ( +09:00 )
To : Ryoo, Jeong-dong <[email-masked]>, 'Loa Andersson' <[email-masked]>, [email-masked] <[email-masked]>
Cc : [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject : RE: [mpls] AD review : working group last call draft-ietf-mpls-tp-psc-itu-01

Hi Jeong-dong,

> In my opinion, all the wording from AD review should be taken except the
> followings that I would need further clarifications or confirmations from AD:
> ---
> Abstract and Introduction
> Due to the limitation in the length of Abstract and the nature of the abstract,
> which gives the main points of *this* document, I would like to see if we can
> add the sentence in the Introduction section only.

Yes. Good point.

> Section 4.1
> The second paragraph in Section 4.1 is to emphasis the importance of the
> PSC communication channel in delivering the external switch command,
> so that the failure of PSC communication channel has higher priority than FS.
> I would like to propose to change the paragraph as follows:
> === OLD ===
> According to Section 2.4 of RFC 5654 [RFC5654] it MUST be possible to
> operate an MPLS-TP network without using a control plane. This means
> that external switch commands, e.g., FS, can be transferred to the
> remote Label Edge Router (LER) only by using the PSC communication
> channel and should not rely on the presence of a control plane.
> === NEW ===
> According to Section 2.4 of RFC 5654 [RFC5654] it MUST be possible to
> operate an MPLS-TP network without using a control plane. This means
> that the PSC communication channel is very important for the transfer
> of external switch commands (e.g., FS), and these commands should not
> rely on the presence of a control plane. In consequence, the failure
> of the PSC communication channel has higher priority than FS.

Yes. Thanks. I had completely missed this point.
Your new wording is helpful.

> Section 4.3
> You suggested “s/broken, the Freeze command,/broken.
> The Freeze command,/”.
> But, my reading of two separate sentences is not ok. The
> first sentence doesn’t seem to be complete. Would you
> please check this again?

You're right. My mistake.
Leave it as it is.

> Sections 9.1.1, Section 9.1.2, Section 9.1.3.2 and Section 9.1.3.3
> For those four comments on Section 9, I can understand the
> concerns. In my opinion, the questions given in the AD review
> comments are very valid and should be answered. I think the
> text needs to be changed rather significantly. I will prepare a
> new text proposal and further communicate with Adrian.

OK. I'll look for that.

Many thanks for the quick turn around and the constructive approach.

Regards,
Adrian

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 5 Feb 2014 22:33:05 -0000

And, formally, a public Ack from me.
 
Adrian
 
From: Ryoo, Jeong-dong [mailto:[email-masked]] 
Sent: 05 February 2014 15:50
To: [email-masked]; 'Loa Andersson'; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [mpls] AD review : working group last call draft-ietf-mpls-tp-psc-itu-01
 
Hi, 

 
9.1.  Capabilities

   0                   1                   2                   3

 

 

 

 

 
 
9.2.  Modes

9.2.1.  PSC Mode

9.2.2.  APS Mode

=== END of Section 9 ===
Best regards,
 
Jeong-dong

  _____  

Hi Jeong-dong,

Yes. Good point.

OK. I'll look for that.

Regards,
Adrian